Skip to main content
GET
Get Markets

Query Parameters

limit
integer<int64>
default:100

Number of results per page. Defaults to 100. Maximum value is 1000.

Required range: 0 <= x <= 1000
cursor
string

Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.

event_ticker
string

Event ticker to filter by. Only a single event ticker is supported.

series_ticker
string

Filter by series ticker

min_created_ts
integer<int64>

Filter items that created after this Unix timestamp

max_created_ts
integer<int64>

Filter items that created before this Unix timestamp

min_updated_ts
integer<int64>

Return markets with metadata updated later than this Unix timestamp. Tracks non-trading changes only. Incompatible with any other filters except mve_filter=exclude. May be combined with series_ticker, which requires mve_filter=exclude.

max_close_ts
integer<int64>

Filter items that close before this Unix timestamp

min_close_ts
integer<int64>

Filter items that close after this Unix timestamp

min_settled_ts
integer<int64>

Filter items that settled after this Unix timestamp

max_settled_ts
integer<int64>

Filter items that settled before this Unix timestamp

status
enum<string>

Filter by market status. Leave empty to return markets with any status.

Available options:
unopened,
open,
paused,
closed,
settled
tickers
string

Filter by specific market tickers. Comma-separated list of market tickers to retrieve.

mve_filter
enum<string>

Filter by multivariate events (combos). 'only' returns only multivariate events, 'exclude' excludes multivariate events.

Available options:
only,
exclude

Response

Markets retrieved successfully

markets
object[]
required
cursor
string
required